# V1.0

AI 風格移轉（影片）API 可讓您使用 AI 技術與預先定義的範本，將藝術風格套用到影片內容。

 - [GET /s2s/v2.0/task/template/video-trans](https://docs.perfectcorp.com/zh-tw/reference/ai_video_style_transfer/v1.0/paths/~1s2s~1v2.0~1task~1template~1video-trans/get.md)
 - [POST /s2s/v2.0/task/video-trans](https://docs.perfectcorp.com/zh-tw/reference/ai_video_style_transfer/v1.0/paths/~1s2s~1v2.0~1task~1video-trans/post.md): AI 任務是非同步的。當功能支援 webhook 時，請優先使用以 webhook 為基礎的完成處理。設定您的 webhook 端點、驗證 webhook 簽章，並在收到 `success` 或 `error` 通知後，使用收到的 `task_id` 查詢任務結果。設定與驗證細節請見 [webhook 整合指南](/develop/webhook)。 若您的整合不支援 webhook 或無法使用
 - [GET /s2s/v2.0/task/video-trans/{task_id}](https://docs.perfectcorp.com/zh-tw/reference/ai_video_style_transfer/v1.0/paths/~1s2s~1v2.0~1task~1video-trans~1%7Btask_id%7D/get.md)
